#include <iostream>

using namespace std;

int main() {
	int n, knjiga[1000000];
	cin>>n;
	for (int i = 0; i < n; i++) {
		cin>>knjiga[i];
	}
	int index = 0, value = 0, k = 0;
	while (k < n) {
		index = 0; value = 0;
		for (int i = k; i < n; i++) {
			if (value <= knjiga[i]) {
				value = knjiga[i];
				index = i; 
			}
		}
		if (index != 0) break;
		k++;
	}
	bool isti = false;
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			if (knjiga[i] == knjiga[j] && i != j) {
				isti = true;
				break;
			}
		}
	}
	int l, pk = index - k;
	if (n == 2) {
		cout<<knjiga[1]<<" "<<knjiga[0];
	}
	else if (pk != 0){
		l = knjiga[index];
		knjiga[index] = knjiga[k];
		knjiga[k] = l;
	}
	else if (isti);
	else if (pk == 0) {
		l = knjiga[n - 1];
		knjiga[n - 1] = knjiga[n - 2];
		knjiga[n - 2] = l;
	}
	for (int i = 0; i < n; i++) {
		cout<<knjiga[i]<<" ";
	}
	return 0;
}